Bug 196274 - devel/dbus: launch failure, dbus starts before ldconfig and fails to find installed libexpat.so.1
Summary: devel/dbus: launch failure, dbus starts before ldconfig and fails to find ins...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-gnome (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-26 00:19 UTC by Matthias Andree
Modified: 2015-01-15 11:51 UTC (History)
3 users (show)

See Also:


Attachments
Add ldconfig to the requirements for dbus to start (383 bytes, patch)
2014-12-27 22:15 UTC, CraigW
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Andree freebsd_committer 2014-12-26 00:19:41 UTC
devel/dbus starts too soon through rcorder. dbus-daemon requires libexpat.so.1, which is installed on my systems, but not available to the run-time linker before ldconfig has run.  This happens on 9.3-amd64 and 10.1-i386.

Please adjust the rc.d headers such that dbus waits for ldconfig to complete; note this may not be trivial and cause circular dependencies.  Finding a proper solution requires more time than I have on my hands right now, so I'm sorry but cannot provide a patch.

This causes all sorts of other trouble down the road, for instance, various avahi services then refuse to start because dbus isn't there.
Comment 1 CraigW 2014-12-27 22:15:30 UTC
Created attachment 151012 [details]
Add ldconfig to the requirements for dbus to start
Comment 2 CraigW 2014-12-27 22:22:51 UTC
(In reply to Craig Wiesen from comment #1)
> Created attachment 151012 [details]
> Add ldconfig to the requirements for dbus to start


I am guessing this happened with someone started removing the .la files.

I tried to dig into the history and figure out if it used to be a static binary(/usr/local/bin/dbus-demon), but I too ran out of time and desire to figure this one out.

The patch fixes the problem for me.
Comment 3 Jimmy Olgeni freebsd_committer 2014-12-28 17:09:47 UTC
Patch + PORTREVISION bump fixed the issue for me. Thanks!
Comment 4 commit-hook freebsd_committer 2015-01-15 11:50:44 UTC
A commit references this bug:

Author: kwm
Date: Thu Jan 15 11:50:26 UTC 2015
New revision: 377084
URL: https://svnweb.freebsd.org/changeset/ports/377084

Log:
  Make sure we start after ldconfig is run. So we can find stuff in /usr/local.

  I haven't see this myself but it doesn't hurt to do it correctly.

  PR:		196274
  Submitted by:	mandree@ Craig Wiesen <ctyz1999+bugzilla@gmail.com>

Changes:
  head/devel/dbus/Makefile
  head/devel/dbus/files/dbus.in